New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2480 (KERNEL-01_Amy_Mike_newHPGschemes) – NEMO

Opened 2 years ago

Closed 18 months ago

Last modified 11 months ago

#2480 closed Task (fixed)

KERNEL-01_Amy_Mike_newHPGschemes

Reported by: ayoung Owned by: ayoung
Priority: normal Milestone: IMMERSE 2020
Component: DYN Version: trunk
Severity: minor Keywords: dynhpg, HPG, hpg,
Cc:

Commit History (25)

ChangesetAuthorTimeChangeLog
15035ayoung2021-06-21T13:07:02+02:00

Backporting djc into r4.0-HEAD. #2480.

15034ayoung2021-06-21T12:51:57+02:00

DJC Backwards port to r4.0-HEAD. #2480.

14683ayoung2021-04-08T11:52:58+02:00

Compatibility changes for periodic bc and north fold in usr def nam. See tickets #2480 and #2651.

14676ayoung2021-04-07T15:48:38+02:00

Updating SEAMOUNT test case to trunk at revision 14675. 2021 ticket #2651. 2020 ticket #2480.

14380ayoung2021-02-03T09:45:49+01:00

Corrected implementation of exponential equation of state. See ticket #2480.

14334ayoung2021-01-22T17:56:19+01:00

Adding information in README and bibliography. See ticket #2480.

14333ayoung2021-01-22T17:08:00+01:00

Correcting cpp keys. See ticket #2480.

14332ayoung2021-01-22T16:40:55+01:00

Adding Beckmann and Haidvogel (1993) SEAMOUNT idealised configuration for pressure gradient scheme development. See ticket #2480.

14238ayoung2020-12-22T10:32:13+01:00

Creating branch for idealised SEAMOUNT test case associated with HPG scheme development. See ticket #2480.

14237ayoung2020-12-22T10:22:59+01:00

Removing unused merge branch for #2480 and #2506

14236ayoung2020-12-22T10:19:30+01:00

Removing old dev branch for #2480

14141techene2020-12-09T17:00:01+01:00

#2385 and #2480 : revise check compatibilities

14062ayoung2020-12-03T17:39:30+01:00

Updating to trunk at 14060 and resolving conflicts with ticket #2480. Ticket #2506.

14060ayoung2020-12-03T17:03:42+01:00

Merging ticket #2480 into trunk. (Revised djc scheme and two new namelist variables)

14058ayoung2020-12-03T16:53:41+01:00

Updating to trunk revision 14057. No conflicts since last sette test. Ticket #2480.

14047ayoung2020-12-03T13:12:09+01:00

Updating to trunk at 14046. No conflicts. Ticket #2480.

14046ayoung2020-12-03T13:07:08+01:00

Updated to trunk at 14020. Sette tests passed with no changes of results. Ticket #2480.

13935ayoung2020-12-01T13:21:25+01:00

Merging changes from KERNEL08 (spg calculation changes) into KERNEL01 (new djc code). See tickets #2480 and #2506.

13928ayoung2020-11-30T17:15:25+01:00

Branch combining KERNEL01 and KERNEL08 changes. See tickets #2480 and #2506.

13927ayoung2020-11-30T17:10:06+01:00

Added namelist options for djc bc type selection. See ticket #2480.

13910ayoung2020-11-30T10:45:13+01:00

Phasing with trunk at 13787. See ticket #2480.

13889ayoung2020-11-26T16:40:17+01:00

Making changes following review feedback. Ticket #2480.

13729ayoung2020-11-05T17:12:35+01:00

Revised hpg_djc scheme. See ticket #2480.

13724ayoung2020-11-05T14:29:13+01:00

Creating branch for updated DJC scheme. See ticket #2480

13032ayoung2020-06-03T17:07:58+02:00

Branch creation for ticket #2480

Change History (28)

comment:1 Changed 2 years ago by ayoung

In 13032:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:2 Changed 19 months ago by ayoung

In 13724:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:3 Changed 19 months ago by ayoung

In 13729:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:4 Changed 18 months ago by ayoung

In 13889:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:5 Changed 18 months ago by ayoung

In 13910:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:6 Changed 18 months ago by ayoung

In 13927:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:7 Changed 18 months ago by ayoung

In 13928:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:8 Changed 18 months ago by ayoung

Branch passes sette tests with no change in results.

Current code is : NEMO/branches/2020/dev_r13723_KERNEL-01_Amy_Mike_newHPGschemes @ r13910 ( last change @ r13910 )

SETTE validation report generated for :

NEMO/branches/2020/dev_r13723_KERNEL-01_Amy_Mike_newHPGschemes @ r13910 (last changed revision)

on XC40_METO_IFORT arch file

!!---------------1st pass------------------!!

!----restart----!

WGYRE_PISCES_ST run.stat restartability passed : 13910
WGYRE_PISCES_ST tracer.stat restartability passed : 13910
WORCA2_ICE_PISCES_ST run.stat restartability passed : 13910
WORCA2_ICE_PISCES_ST tracer.stat restartability passed : 13910
WORCA2_OFF_PISCES_ST tracer.stat restartability passed : 13910
WAMM12_ST run.stat restartability passed : 13910
WORCA2_SAS_ICE_ST run.stat restartability passed : 13910
WAGRIF_DEMO_ST run.stat restartability passed : 13910
WWED025_ST run.stat restartability passed : 13910
WISOMIP+_ST run.stat restartability passed : 13910
WOVERFLOW_ST run.stat restartability passed : 13910
WLOCK_EXCHANGE_ST run.stat restartability passed : 13910
WVORTEX_ST run.stat restartability passed : 13910
WICE_AGRIF_ST run.stat restartability passed : 13910

!----repro----!

WGYRE_PISCES_ST run.stat reproducibility passed : 13910
WGYRE_PISCES_ST tracer.stat reproducibility passed : 13910
WORCA2_ICE_PISCES_ST run.stat reproducibility passed : 13910
WORCA2_ICE_PISCES_ST tracer.stat reproducibility passed : 13910
WORCA2_OFF_PISCES_ST tracer.stat reproducibility passed : 13910
WAMM12_ST run.stat reproducibility passed : 13910
WORCA2_SAS_ICE_ST run.stat reproducibility passed : 13910
WORCA2_ICE_OBS_ST run.stat reproducibility passed : 13910
WAGRIF_DEMO_ST run.stat reproducibility passed : 13910
WWED025_ST run.stat reproducibility passed : 13910
WISOMIP+_ST run.stat reproducibility passed : 13910
WVORTEX_ST run.stat reproducibility passed : 13910
WICE_AGRIF_ST run.stat reproducibility passed : 13910

!----agrif check----!

ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat unchanged - passed : 13910 13910

!----result comparison check----!

check result differences between :
VALID directory : /projects/jmmp/ayoung/SEAMOUNT/dev_r13723_KERNEL-01_Amy_Mike_newHPGschemes/NEMO_VALIDATION at rev 13910
and
REFERENCE directory : /scratch/d00/ayoung/testing/http_trunk_13787/NEMO_VALIDATION at rev 13747

WGYRE_PISCES_ST run.stat files are identical
WGYRE_PISCES_ST tracer.stat files are identical
WORCA2_ICE_PISCES_ST run.stat files are identical
WORCA2_ICE_PISCES_ST tracer.stat files are identical
WORCA2_OFF_PISCES_ST tracer.stat files are identical
WAMM12_ST run.stat files are identical
WORCA2_SAS_ICE_ST run.stat files are identical
WAGRIF_DEMO_ST run.stat files are identical
WWED025_ST run.stat files are identical
WISOMIP+_ST run.stat files are identical
WVORTEX_ST run.stat files are identical
WICE_AGRIF_ST run.stat files are identical
WOVERFLOW_ST run.stat files are identical
WLOCK_EXCHANGE_ST run.stat files are identical

comment:9 Changed 18 months ago by ayoung

In 13935:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:10 Changed 18 months ago by ayoung

In 14046:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:11 Changed 18 months ago by ayoung

In 14047:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:12 Changed 18 months ago by ayoung

Sette tests results pre commit 14046:
Current code is : NEMO/branches/2020/dev_r13723_KERNEL-01_Amy_Mike_newHPGschemes @ r14031 ( last change @ r13927 )

SETTE validation report generated for :

NEMO/branches/2020/dev_r13723_KERNEL-01_Amy_Mike_newHPGschemes @ r13927+ (last changed revision)

on XC40_METO_IFORT arch file

!!---------------1st pass------------------!!

!----restart----!

WGYRE_PISCES_ST run.stat restartability passed : 13927+
WGYRE_PISCES_ST tracer.stat restartability passed : 13927+
WORCA2_ICE_PISCES_ST run.stat restartability passed : 13927+
WORCA2_ICE_PISCES_ST tracer.stat restartability passed : 13927+
WORCA2_OFF_PISCES_ST tracer.stat restartability passed : 13927+
WAMM12_ST run.stat restartability passed : 13927+
WORCA2_SAS_ICE_ST run.stat restartability passed : 13927+
WAGRIF_DEMO_ST run.stat restartability passed : 13927+
WWED025_ST run.stat restartability passed : 13927+
WISOMIP+_ST run.stat restartability passed : 13927+
WOVERFLOW_ST run.stat restartability passed : 13927+
WLOCK_EXCHANGE_ST run.stat restartability passed : 13927+
WVORTEX_ST run.stat restartability passed : 13927+
WICE_AGRIF_ST run.stat restartability passed : 13927+

!----repro----!

WGYRE_PISCES_ST run.stat reproducibility passed : 13927+
WGYRE_PISCES_ST tracer.stat reproducibility passed : 13927+
WORCA2_ICE_PISCES_ST run.stat reproducibility passed : 13927+
WORCA2_ICE_PISCES_ST tracer.stat reproducibility passed : 13927+
WORCA2_OFF_PISCES_ST tracer.stat reproducibility passed : 13927+
WAMM12_ST run.stat reproducibility passed : 13927+
WORCA2_SAS_ICE_ST run.stat reproducibility passed : 13927+
WORCA2_ICE_OBS_ST run.stat reproducibility passed : 13927+
WAGRIF_DEMO_ST run.stat reproducibility passed : 13927+
WWED025_ST run.stat reproducibility passed : 13927+
WISOMIP+_ST run.stat reproducibility passed : 13927+
WVORTEX_ST run.stat reproducibility passed : 13927+
WICE_AGRIF_ST run.stat reproducibility passed : 13927+

!----agrif check----!

ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat unchanged - passed : 13927+ 13927+

!----result comparison check----!

check result differences between :
VALID directory : /home/d00/ayoung/NEMO_MERGE_PARTY_2020/dev_r13723_KERNEL-01_Amy_Mike_newHPGschemes_svn/NEMO_VALIDATION at rev 13927+
and
REFERENCE directory : /home/d00/ayoung/NEMO_MERGE_PARTY_2020/trunk/NEMO_VALIDATION at rev 14020

WGYRE_PISCES_ST run.stat files are identical
WGYRE_PISCES_ST tracer.stat files are identical
WORCA2_ICE_PISCES_ST run.stat files are identical
WORCA2_ICE_PISCES_ST tracer.stat files are identical
WORCA2_OFF_PISCES_ST tracer.stat files are identical
WAMM12_ST run.stat files are identical
WORCA2_SAS_ICE_ST run.stat files are identical
WAGRIF_DEMO_ST run.stat files are identical
WWED025_ST run.stat files are identical
WISOMIP+_ST run.stat files are identical
WVORTEX_ST run.stat files are identical
WICE_AGRIF_ST run.stat files are identical
WOVERFLOW_ST run.stat files are identical
WLOCK_EXCHANGE_ST run.stat files are identical

comment:13 Changed 18 months ago by ayoung

In 14058:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:14 Changed 18 months ago by ayoung

In 14060:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:15 Changed 18 months ago by ayoung

In 14062:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:16 Changed 18 months ago by ayoung

  • branch_review changed from failed to passed
  • Description modified (diff)
  • Resolution set to fixed
  • Status changed from new to closed

A revised djc code has been merged as an initial step. This work will be carried over to next year in a new ticket.

comment:17 Changed 17 months ago by techene

In 14141:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:18 Changed 17 months ago by ayoung

In 14236:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:19 Changed 17 months ago by ayoung

In 14237:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:20 Changed 17 months ago by ayoung

In 14238:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:21 Changed 16 months ago by ayoung

In 14332:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:22 Changed 16 months ago by ayoung

In 14333:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:23 Changed 16 months ago by ayoung

In 14334:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:24 Changed 16 months ago by ayoung

In 14380:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:25 Changed 14 months ago by ayoung

In 14676:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:26 Changed 14 months ago by ayoung

In 14683:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:27 Changed 11 months ago by ayoung

In 15034:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:28 Changed 11 months ago by ayoung

In 15035:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found
Note: See TracTickets for help on using tickets.